Mail archive
alpine-aports

[alpine-aports] [PATCH 2/6] testing/wayland-protocols: upgrade to 1.7

From: Daniel Sabogal <dsabogalcc_at_gmail.com>
Date: Sat, 1 Oct 2016 20:38:43 -0400

---
 testing/wayland-protocols/APKBUILD | 21 +++++++++------------
 1 file changed, 9 insertions(+), 12 deletions(-)
diff --git a/testing/wayland-protocols/APKBUILD b/testing/wayland-protocols/APKBUILD
index 2b73778..2de2f4f 100644
--- a/testing/wayland-protocols/APKBUILD
+++ b/testing/wayland-protocols/APKBUILD
_at_@ -1,20 +1,17 @@
 # Contributor: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
 # Maintainer:
 pkgname=wayland-protocols
-pkgver=1.4
+pkgver=1.7
 pkgrel=0
 pkgdesc="Protocols and protocol extensions complementing the Wayland core protocol"
 url="http://wayland.freedesktop.org"
-arch="all"
+arch="noarch"
 license="MIT"
 depends=""
-depends_dev=""
 makedepends="wayland-dev"
-install=""
-subpackages=""
-source="https://wayland.freedesktop.org/releases/${pkgname}-${pkgver}.tar.xz"
+source="https://wayland.freedesktop.org/releases/$pkgname-$pkgver.tar.xz"
 
-builddir="$srcdir"/$pkgname-$pkgver
+builddir="$srcdir/$pkgname-$pkgver"
 build() {
 	cd "$builddir"
 	./configure \
_at_@ -29,10 +26,10 @@ build() {
 }
 
 package() {
-	cd "$builddir"
-	make DESTDIR="$pkgdir" install || return 1
+	make DESTDIR="$pkgdir" \
+		-C "$builddir" install || return 1
 }
 
-md5sums="fd8089abf13a1d04e4baa6509ee72baf  wayland-protocols-1.4.tar.xz"
-sha256sums="014a9a23c21ed14f49b1005b3e8efa66d6337d4ceafc97f7b0d6707e7e3df572  wayland-protocols-1.4.tar.xz"
-sha512sums="ffbac79b3be03f7b1c1033923702aadd0bdd2f90dafee946a4a2384eaa9e7f2ab90de6a6497fce374fd3343b133f8dd02683503973a65f947e65b76c47186123  wayland-protocols-1.4.tar.xz"
+md5sums="9acfc9556f7cfedc44d97af60da66a5f  wayland-protocols-1.7.tar.xz"
+sha256sums="635f2a937d318f1fecb97b54074ca211486e38af943868dd0fa82ea38d091c1f  wayland-protocols-1.7.tar.xz"
+sha512sums="291a3226cc538de3b81bdffa5de513b305a946bfc3481e21c254fcc6a023e0cf2ff1869509c7ae193da02460f1d4a3c5cd5f1ca13b2550886acffcc636fb30d2  wayland-protocols-1.7.tar.xz"
-- 
2.10.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Oct 01 2016 - 20:38:43 GMT